package me.km.commands;

import me.km.KajetansTools;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.playerbank.TeleportEvent;

public class CommandBack extends ModuleCommand
{
    public CommandBack(Module m) 
    {
        super("back", m);
        this.setDescription("Teleportiert dich zu deiner letzten Position");
        this.setUsage("/back");
        this.setPermission("kt.back");
    }

    @Override
    public boolean execute(CommandSender cs, String string, String[] arg) 
    {
        if(!(cs instanceof Player))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        Player p = (Player) cs;    
        Location l = KajetansTools.playerbank.getEvent(TeleportEvent.class).getLastLocation(p);
        if(l != null)
        {
            p.getWorld().loadChunk(l.getBlockX(), l.getBlockZ());
            p.teleport(l);
            return true;
        }
        this.getModule().send(cs, "Es gibt noch keinen Ort, wo du zurückkehren könntest.");
        return true;
    }
}
